Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenLinkConstraints

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenLinkConstraintsImpl

    public interface GenLinkConstraints

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Link Constraints'. Groups constraints on the link source and target end

The following features are supported:

- `Link`
- `Source End`
- `Target End`

See Also:
  `GMFGenPackage.getGenLinkConstraints()`
** Generated **
Model:
  annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not sourceEnd.oclIsUndefined() or not targetEnd.oclIsUndefined()' description='Either \'sourceEnd\' or \'targetEnd\' constraint must be specified'"

Method Summary
`java.lang.String` `getConstraintsInstanceFieldName()` Returns the name of the field holding Link Constraints instance
`GenLink` `getLink()` Returns the value of the 'Link' container reference.
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `getLinkClass()` The domain meta element class of the link restricted by this constraints
`GenConstraint` `getSourceEnd()` Returns the value of the 'Source End' reference
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `getSourceEndContextClass()` The context class for the source end constraint evaluation
`GenConstraint` `getTargetEnd()` Returns the value of the 'Target End' reference
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `getTargetEndContextClass()` The context class for the target end constraint evaluation
`boolean` `isValid()`
`void` `setLink(GenLink value)` Sets the value of the '`Link`' container reference
`void` `setSourceEnd(GenConstraint value)` Sets the value of the '`Source End`' reference
`void` `setTargetEnd(GenConstraint value)` Sets the value of the '`Target End`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLink

    GenLink getLink()

  Returns the value of the 'Link' container reference. It is bidirectional and its opposite is '`Creation Constraints`'.

  If the meaning of the 'Link' container reference isn't clear, there really should be more of a description here...

  References the owning link of this constraints

  Returns:
    the value of the 'Link' container reference.
  See Also:
    `setLink(GenLink)`, `GMFGenPackage.getGenLinkConstraints_Link()`, `GenLink.getCreationConstraints()`
  ** Generated **
  Model:
    opposite="creationConstraints" required="true" transient="false"

### setLink

    void setLink(GenLink value)

  Sets the value of the '`Link`' container reference.

  Parameters:
    `value` - the new value of the 'Link' container reference.
  See Also:
    `getLink()`
  ** Generated **

### getSourceEnd

    GenConstraint getSourceEnd()

  Returns the value of the 'Source End' reference.

  If the meaning of the 'Source End' reference isn't clear, there really should be more of a description here...

  Restriction enforced by the the source end, may reference variables 'oppositeEnd' pointing to targetEnd and 'link' denoting the link domainmetaElement instance if available.

  Returns:
    the value of the 'Source End' reference.
  See Also:
    `setSourceEnd(GenConstraint)`, `GMFGenPackage.getGenLinkConstraints_SourceEnd()`
  ** Generated **
  Model:
    annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='context' ocl='getSourceEndContextClass().ecoreClass'" annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='variable' name='oppositeEnd' type.ocl='getTargetEndContextClass().ecoreClass'"

### setSourceEnd

    void setSourceEnd(GenConstraint value)

  Sets the value of the '`Source End`' reference.

  Parameters:
    `value` - the new value of the 'Source End' reference.
  See Also:
    `getSourceEnd()`
  ** Generated **

### getTargetEnd

    GenConstraint getTargetEnd()

  Returns the value of the 'Target End' reference.

  If the meaning of the 'Target End' reference isn't clear, there really should be more of a description here...

  Restriction enforced by the the target end, may reference variables 'oppositeEnd' pointing to sourceEnd and 'link' denoting the link domainmetaElement instance if available.

  Returns:
    the value of the 'Target End' reference.
  See Also:
    `setTargetEnd(GenConstraint)`, `GMFGenPackage.getGenLinkConstraints_TargetEnd()`
  ** Generated **
  Model:
    annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='context' ocl='getTargetEndContextClass().ecoreClass'" annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='variable' name='oppositeEnd' type.ocl='getSourceEndContextClass().ecoreClass'"

### setTargetEnd

    void setTargetEnd(GenConstraint value)

  Sets the value of the '`Target End`' reference.

  Parameters:
    `value` - the new value of the 'Target End' reference.
  See Also:
    `getTargetEnd()`
  ** Generated **

### getLinkClass

    org.eclipse.emf.codegen.ecore.genmodel.GenClass getLinkClass()

  The domain meta element class of the link restricted by this constraints

  ** Generated **
  Model:
    kind="operation"

### getSourceEndContextClass

    org.eclipse.emf.codegen.ecore.genmodel.GenClass getSourceEndContextClass()

  The context class for the source end constraint evaluation

  ** Generated **
  Model:
    kind="operation"

### getTargetEndContextClass

    org.eclipse.emf.codegen.ecore.genmodel.GenClass getTargetEndContextClass()

  The context class for the target end constraint evaluation

  ** Generated **
  Model:
    kind="operation"

### getConstraintsInstanceFieldName

    java.lang.String getConstraintsInstanceFieldName()

  Returns the name of the field holding Link Constraints instance

  ** Generated **
  Model:
    kind="operation" required="true"

### isValid

    boolean isValid()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.